Page MenuHomePhabricator

bundle: support multiple destinations
ClosedPublic

Authored by marmoute on Apr 14 2021, 7:38 PM.

Details

Summary

hg outgoing and hg push now support multiple destination. We do the same
for hg bundle. Various other commands needs this kind of behavior and it
would be create to factor this code out for their usage. However this is an
adventure for another time.

They are some minor change to the tests (in addition to the new test for the
feature):

  • one because I updated a message to plurals,
  • another one because the error changed, and I actually find it clearer.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Apr 14 2021, 7:38 PM
marmoute updated this revision to Diff 26917.Apr 15 2021, 3:37 AM
pulkit added a subscriber: pulkit.Apr 15 2021, 11:13 AM
pulkit added inline comments.
hgext/patchbomb.py
386

should be if dest instead.

marmoute updated this revision to Diff 26968.Apr 16 2021, 4:52 AM
pulkit accepted this revision.Apr 17 2021, 4:50 PM
This revision is now accepted and ready to land.Apr 17 2021, 4:50 PM
This revision was automatically updated to reflect the committed changes.